# Interface AntlrSourceDirectorySet

All Superinterfaces:
  `AntBuilderAware, Buildable, Describable, FileCollection, FileTree, Iterable<File>, Named, PatternFilterable, SourceDirectorySet`

public interface AntlrSourceDirectorySet extends SourceDirectorySet
Contract for a Gradle extension that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `source sets`.

Since:
  7.1

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface FileCollection

  `FileCollection.AntType`

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of the source set extension contributed by the antlr plugin.

- ## Method Summary

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface Describable

  `getDisplayName`

  ### Methods inherited from interface FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsPath, getElements, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface FileTree

  `getAsFileTree, getFiles, matching, matching, matching, plus, visit, visit, visit`

  ### Methods inherited from interface Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface PatternFilterable

  `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

  ### Methods inherited from interface SourceDirectorySet

  `compiledBy, getClassesDirectory, getDestinationDirectory, getFilter, getName, getSourceDirectories, getSrcDirs, getSrcDirTrees, setSrcDirs, source, srcDir, srcDirs`

- ## Field Details

  - ### NAME

    static final String NAME
    Name of the source set extension contributed by the antlr plugin.
    Since:
      8.0
    See Also:
      - Constant Field Values